Summary: Generates function prototypes and variable declarations from C code.
Name: cproto
Version: 4.6
Release: 7
Copyright: Public Domain
Group: Development/Tools
Source: ftp://ftp.oce.com/pub/cproto/cproto-%{version}.tar.gz
#Patch: cproto-4.4-gcc.patch
Patch1: cproto-4.6.1-patch
Prefix: %{_prefix}
BuildRoot: /var/tmp/%{name}-root

%description
Cproto generates function prototypes and variable declarations from C
source code.  Cproto can also convert function definitions between the
old style and the ANSI C style.  This conversion will overwrite the
original files, however, so be sure to make a backup copy of your
original files in case something goes wrong.  Cproto uses a Yacc
generated parser, so it shouldn't be confused by complex function
definitions as much as other prototype generators.

Cproto will be useful for C programmers, so install cproto if you are
going to do any C programming.

%prep
%setup -q

%build
export CPP="/lib/cpp" 
%configure --exec-prefix=%{_prefix}
make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall mandir=$RPM_BUILD_ROOT/%{_mandir}/man1

( cd $RPM_BUILD_ROOT
  strip .%{_prefix}/bin/cproto
)

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES README
%{_prefix}/bin/cproto
%{_mandir}/man1/cproto.*

%changelog
* Fri Dec 01 2000 Bill Nottingham <notting@redhat.com>
- rebuild because of broken fileutils

* Mon Oct 13 2000 Bill Nottingham <notting@redhat.com>
- use /lib/cpp, not gcc -E, again (#20535)

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jun  6 2000 Bill Nottingham <notting@redhat.com>
- rebuild against glibc-2.2, FHS stuff

* Tue Feb  1 2000 Bill Nottingham <notting@redhat.com>
- use /lib/cpp, not gcc -E (#8612)

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Mon Mar 15 1999 Jeff Johnson <jbj@redhat.com>
- update to 4.6.1 (#1516).
- use %configure

* Fri Dec 18 1998 Bill Nottingham <notting@redhat.com>
- build for 6.0

* Sat Aug 15 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc
